summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-01-12 13:29:34 +0100
committerMichał Górny <mgorny@gentoo.org>2021-01-16 10:53:09 +0100
commit654a962bd3112a1956016ebd4d8c88a9953a13bd (patch)
tree3860ac93e1a9e7e13da9d420b20b00466aa3aa49 /eclass/kernel-install.eclass
parentdist-kernel-utils.eclass: Support dracut's uefi=yes option (diff)
downloadgentoo-654a962bd3112a1956016ebd4d8c88a9953a13bd.tar.gz
gentoo-654a962bd3112a1956016ebd4d8c88a9953a13bd.tar.bz2
gentoo-654a962bd3112a1956016ebd4d8c88a9953a13bd.zip
kernel-install.eclass: Improve error message on /boot problems
Use the newly-introduced mount-boot.eclass nonfatal support to amend the error message with the instruction to run 'emerge --config' rather than rebuild the whole kernel. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/kernel-install.eclass')
-rw-r--r--eclass/kernel-install.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 0870999fa5ad..b8109f47d0bf 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -346,7 +346,7 @@ kernel-install_install_all() {
local success=
# not an actual loop but allows error handling with 'break'
while :; do
- mount-boot_pkg_preinst
+ nonfatal mount-boot_check_status || break
local image_path=$(dist-kernel_get_image_path)
if use initramfs; then